<h1>Register</h1>
<form class="mat-elevation-z3 page">
    <mat-form-field class="full-width">
      <input matInput placeholder="Email" [(ngModel)]="user.email" name="email" required>
    </mat-form-field>
    <mat-form-field class="full-width">
        <input matInput placeholder="First Name" [(ngModel)]="user.firstName" name="firstName" required>
      </mat-form-field>
      <mat-form-field class="full-width">
          <input matInput placeholder="Last Name" [(ngModel)]="user.lastName" name="lastName" required>
        </mat-form-field>
    <mat-form-field class="full-width">
      <input type="password" matInput placeholder="Password" [(ngModel)]="user.password" name="password" required>
    </mat-form-field>
    <div class="buttons">
        <button mat-raised-button color="primary" (click)="register()">Register</button>
    </div>
  </form>
